# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

from ...core.datetime_utils import serialize_datetime
from ...core.pydantic_utilities import pydantic_v1
from .call_length_summary import CallLengthSummary


class CallLength(pydantic_v1.BaseModel):
    average: int = pydantic_v1.Field()
    """
    The average call length in minutes.
    """

    average_nonzero: int = pydantic_v1.Field()
    """
    The average call length in minutes, excluding calls with a length of less than one second.
    """

    summary: CallLengthSummary = pydantic_v1.Field()
    """
    A summary of the call lengths, grouped into ranges.
    """

    all_: typing.List[int] = pydantic_v1.Field(alias="all")
    """
    Contains each call length, in case you want to use a different grouping than the default.
    """

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        smart_union = True
        allow_population_by_field_name = True
        populate_by_name = True
        extra = pydantic_v1.Extra.allow
        json_encoders = {dt.datetime: serialize_datetime}
