# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

from ...core.datetime_utils import serialize_datetime
from ...core.pydantic_utilities import pydantic_v1


class StopActiveBatchResponse(pydantic_v1.BaseModel):
    status: str = pydantic_v1.Field()
    """
    The status of the request. If anything other than 'success', an error has occurred or all calls have already been completed.
    """

    message: str = pydantic_v1.Field()
    """
    A message describing the status of the request.
    """

    num_calls: int = pydantic_v1.Field()
    """
    The number of calls that were cancelled.
    """

    batch_id: str = pydantic_v1.Field()
    """
    The `batch_id` of the cancelled batch.
    """

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        smart_union = True
        extra = pydantic_v1.Extra.allow
        json_encoders = {dt.datetime: serialize_datetime}
