# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

from ...commons.types.phone_number import PhoneNumber
from ...commons.types.voice_id import VoiceId
from ...commons.types.webhook import Webhook
from ...core.datetime_utils import serialize_datetime
from ...core.pydantic_utilities import pydantic_v1


class InboundNumber(pydantic_v1.BaseModel):
    created_at: str
    phone_number: PhoneNumber
    prompt: str
    webhook: Webhook
    voice_id: VoiceId
    dynamic_data: typing.Optional[typing.List[typing.Any]] = None
    interruption_threshold: typing.Optional[int] = None
    first_sentence: typing.Optional[str] = None
    reduce_latency: bool
    transfer_phone_number: typing.Optional[PhoneNumber] = None
    voice_settings: typing.Optional[typing.Any] = None
    record: bool
    max_duration: int

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        smart_union = True
        extra = pydantic_v1.Extra.allow
        json_encoders = {dt.datetime: serialize_datetime}
